PETSc version 3.17.4
Fix/Edit manual page

# VECHIP

VECHIP = "hip" - A VECSEQHIP on a single-process communicator, and VECMPIHIP otherwise.

### Options Database Keys

| -vec_type hip | - sets the vector type to VECHIP during a call to VecSetFromOptions()

### See Also

VecCreate(), VecSetType(), VecSetFromOptions(), VecCreateMPIWithArray(), VECSEQHIP, VECMPIHIP, VECSTANDARD, VecType, VecCreateMPI(), VecSetPinnedMemoryMin()

### Level

beginner

### Location

src/vec/vec/impls/mpi/mpihip/mpihip.hip.cpp
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages